package com.jpsoft.shinestar.modules.business.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:business_fill_attendance_files的实体类
 */
@ApiModel(value = "business_fill_attendance_files的实体类")
public class FillAttendanceFiles {
	private String id;
	private String fillAttendanceId;
	private String fileName;
	private String fileUrl;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;

		/**
	 *获取主键
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置主键
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取补卡ID
	 */
	public String getFillAttendanceId(){
		return fillAttendanceId;
	}
	
	/**
	 *设置补卡ID
	 */
	public void setFillAttendanceId(String fillAttendanceId){
		this.fillAttendanceId = fillAttendanceId;
	}
		/**
	 *获取
	 */
	public String getFileName(){
		return fileName;
	}
	
	/**
	 *设置
	 */
	public void setFileName(String fileName){
		this.fileName = fileName;
	}
		/**
	 *获取
	 */
	public String getFileUrl(){
		return fileUrl;
	}
	
	/**
	 *设置
	 */
	public void setFileUrl(String fileUrl){
		this.fileUrl = fileUrl;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}